
Foreman - Bug #892

submit button is missing when host has no hostgroup and is managed

05/09/2011 09:08 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Web Interface   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I am not sure how I arrived in this state but it might have something to do with me updating to host to a blank hostgroup from the api. 

#867

I can't update this host or change values because the submit button is missing.

Related issues:

Related to Foreman - Bug #867: updating a host to belong to a null hostgroup ... Closed 04/26/2011

Associated revisions

Revision 3101f9a2 - 05/24/2011 06:43 AM - Amos Benari

fixes #892 missing div close and some other html crimes.

Signed-off-by: Amos Benari <abenari@redhat.com>

History

#1 - 05/09/2011 09:09 PM - Corey Osman

Forgot to mention that if I unmanage the host the submit button becomes available.

#2 - 05/09/2011 09:10 PM - Corey Osman

- Target version set to 0.3

#3 - 05/11/2011 07:02 AM - Ohad Levy

- Status changed from New to Feedback

thats odd.. i can see the submit button on a non managed host without any hostgroup...

can you provide a screenshot?

#4 - 05/11/2011 07:03 AM - Ohad Levy

Ohad Levy wrote:

can you provide a screenshot?

 next time I'll look harder, I promise ;)

#5 - 05/19/2011 10:39 AM - Ohad Levy

a few code has been changed around the submit button, can you please revisit this with the latest git?

thanks!

#6 - 05/24/2011 02:31 AM - Ohad Levy

can you please double check if this still happens after our UI modifications? I cant reproduce it
#7 - 05/24/2011 03:21 AM - Corey Osman

Ok I was able to reproduce this again and figured out the problem.

The problem is:

Safari Web browser.

This problem does not occur with firefox.  However, if you use Safari (OSX) the submit button does not show up.

#8 - 05/24/2011 04:46 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Amos Benari

#9 - 05/24/2011 07:41 AM - Amos Benari

- Status changed from Feedback to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 3101f9a25613bfa65f5d19e927baaaf791774709.

#10 - 05/24/2011 07:42 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
